Package ru.bitel.bgbilling.plugins.monitoring.common.bean

# Class JmxAppItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.monitoring.common.bean.JmxAppItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class JmxAppItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `JmxAppItem.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JmxAppItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JmxAppItem.Builder`
  `builder()`
  `String`
  `getPassword()`
  `String`
  `getServiceUrl()`
  `String`
  `getUsername()`
  `void`
  `setPassword(String password)`
  `void`
  `setServiceUrl(String serviceUrl)`
  `void`
  `setUsername(String username)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### JmxAppItem

    public JmxAppItem()

- ## Method Details

  - ### setServiceUrl

    public void setServiceUrl(String serviceUrl)

  - ### getServiceUrl

    public String getServiceUrl()

  - ### getUsername

    public String getUsername()

  - ### getPassword

    public String getPassword()

  - ### setUsername

    public void setUsername(String username)

  - ### setPassword

    public void setPassword(String password)

  - ### builder

    public static JmxAppItem.Builder builder()